
//ENTER YOUR NAME AND LAB SECTION HERE 

/*
 * The message list manages a list of
 * messages.  It works like all of our
 * collections from this semester by
 * keeping an array and a count of
 * how many entries in the array are being used.
 */
public class MessageList {
    
    // array of message objects to keep the list
    private Message messages[];
    
    // number of entries being used in the messages array
    private int count = 0;
    
    // Constructs a new message collection with the given maximum size.
    public MessageList(int maxSize) {
        messages = new Message[maxSize];
    }
    
    // Add a new message to the list.
    public void add(Message newMessage) {
        if (count < messages.length) {
            messages[count] = newMessage;
            count++;
        } else {
            System.out.println("No More Space in Message List!!!");
        }
    }
    
    public String toString() {
        return "Complete MessageList.toString()";
    }
    
    /*
     * CHANGE THIS METHOD
     * 
     * It currently just returns all of the messages.
     */
    public MessageList getGood(String[] filterTerms) {
        MessageList resultList = new MessageList(messages.length);
        for (int i = 0; i < count; i++) {
            resultList.add(messages[i]);
        }
        return resultList;
    }
    
    /*
     * CHANGE THIS METHOD
     * 
     * It currently just returns an empty list.
     */
    public MessageList getSpam(String[] filterTerms) {
        return new MessageList(0);
    }
    
}
